Returns information about a transaction by block number and transaction index position.
Parameters
QUANTITY|TAG- A non-negative block height in decimal or0x-prefixed hexadecimal, or one of the tagsearliest,latest, andfinalized.earliestselects the genesis block,latestthe current head block, andfinalizedthe latest solidified block. Thependingandsafetags are not supported and return an invalid-parameters error.QUANTITY- Transaction index position.
Example
Request
curl -X POST 'https://api.shasta.trongrid.io/jsonrpc' --data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionByBlockNumberAndIndex",
"params": ["0xfb82f0", "0x0"],
"id": 64
}'Response
{"jsonrpc":"2.0","id":64,"result":null}